CVE-2013-4150

HIGH

Description

The virtio_net_load function in hw/net/virtio-net.c in QEMU 1.5.0 through 1.7.x before 1.7.2 allows remote attackers to cause a denial of service or possibly execute arbitrary code via vectors in which the value of curr_queues is greater than max_queues, which triggers an out-of-bounds write.

References

http://git.qemu.org/?p=qemu.git;a=commit;h=eea750a5623ddac7a61982eec8f1c93481857578

http://lists.fedoraproject.org/pipermail/package-announce/2014-May/133345.html

http://lists.nongnu.org/archive/html/qemu-stable/2014-07/msg00187.html

http://rhn.redhat.com/errata/RHSA-2014-0927.html

Details

Source: MITRE

Published: 2014-11-04

Updated: 2014-11-05

Type: CWE-119

Risk Information

CVSS v2.0

Base Score: 7.5

Vector: AV:N/AC:L/Au:N/C:P/I:P/A:P

Impact Score: 6.4

Exploitability Score: 10

Severity: HIGH